Fixed: No matching distribution found for tensorflow-gpu error when installing Tensorflow on Windows

When I was trying to install TensorFlow on my Windows 10, I got this error:

 

Could not find a version that satisfies the requirement tensorflow-gpu (from versions: )
No matching distribution found for tensorflow-gpu

 

My OS details:

Windows 10, 64 bit

Python 3.6.1 32 bit

 

So, when I search this issue on website, someone says it’s because TensorFlow only works with Python 3.5.x, someone says there is  a complicated  command can fix this.

But in the official document, TensorFlow works with 3.5.x and 3.6.x. The thing is that, it only works with 64 bit python.

So the simplest solution for this issue is: Install Python 3.6.x 64 bit.

 

Leave a Reply

Your email address will not be published. Required fields are marked *